Searched refs:RUSTC (Results 1 – 6 of 6) sorted by relevance
66 if ! command -v "$RUSTC" >/dev/null; then68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."85 LC_ALL=C "$RUSTC" --version 2>/dev/null89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"114 echo >&2 "*** Rust compiler '$RUSTC' is too old."122 echo >&2 "*** Rust compiler '$RUSTC' is too new. This may or may not work."252 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
43 rustc_sysroot := $(shell $(RUSTC) $(rust_flags) --print sysroot)44 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)135 quiet_cmd_rustc_test_library = RUSTC TL $<138 $(RUSTC) $(rust_common_flags) \193 quiet_cmd_rustc_test = RUSTC T $<196 $(RUSTC) --test $(rust_common_flags) \246 RUSTC=$(objtree)/$(obj)/test/rustc_sysroot $(CARGO) $(cargo_quiet) \396 quiet_cmd_rustc_library = $(if $(skip_clippy),RUSTC,$(RUSTC_OR_CLIPPY_QUIET)) L $@399 $(if $(skip_clippy),$(RUSTC),$(RUSTC_OR_CLIPPY)) \
66 Additional options for $(RUSTC) when used to compile71 Additional module specific options to use for $(RUSTC).
1154 $(RUSTC) compiler flags1194 $(RUSTC) options specific for built-in1200 Options for $(RUSTC) when building modules1203 are used for $(RUSTC).
501 RUSTC = rustc macro591 RUSTC_OR_CLIPPY_QUIET := RUSTC592 RUSTC_OR_CLIPPY = $(RUSTC)603 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN CARGO
1909 default $(shell,command -v $(RUSTC) >/dev/null 2>&1 && $(RUSTC) --version || echo n)